post
https://yourwebhook.com/product_sync_callback
Purpose
A webhook event can be delivered to a specified endpoint to confirm the success of an asynchronous product update with a summary of products synced.
Format
By defauly, the product update response is synchronous and a 200 Accepted is returned with a summary of products updated.
For POS handling products updates across a large number of locations, this process is best handled aysnchronously, where the initial response will be a 202 and a webhook event will be delivered to confirm the success of the operation.
ℹ️ Switching to Asynchronous
To switch to this format an integration configuration is needed, please submit a request to have this enabled on your staging enviroment to [email protected].
{
"operationReportId": "507f****************9011",
"products": {
"inserted": 1,
"updated": 0,
"deleted": 0,
"ignored": 0
},
"modifiers": {
"inserted": 6,
"updated": 0,
"deleted": 0,
"ignored": 0
},
"modifierGroups": {
"inserted": 2,
"updated": 0,
"deleted": 0,
"ignored": 0
},
"bundles": {
"inserted": 0,
"updated": 0,
"deleted": 0,
"ignored": 0
},
"priceLevels": 0,
"warnings": 0,
"errors": 0
}